OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ATI.VertexArrayObject

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetATIVertexArrayObject :: MonadIO m => m Bool
- gl_ATI_vertex_array_object :: Bool
- gl_ARRAY_OBJECT_BUFFER_ATI :: GLenum
- gl_ARRAY_OBJECT_OFFSET_ATI :: GLenum
- gl_DISCARD_ATI :: GLenum
- gl_DYNAMIC_ATI :: GLenum
- gl_OBJECT_BUFFER_SIZE_ATI :: GLenum
- gl_OBJECT_BUFFER_USAGE_ATI :: GLenum
- gl_PRESERVE_ATI :: GLenum
- gl_STATIC_ATI :: GLenum
- glArrayObjectATI :: MonadIO m => GLenum -> GLint -> GLenum -> GLsizei -> GLuint -> GLuint -> m ()
- glFreeObjectBufferATI :: MonadIO m => GLuint -> m ()
- glGetArrayObjectfvATI :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetArrayObjectivATI :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetObjectBufferfvATI :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetObjectBufferivATI :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetVariantArrayObjectfvATI :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetVariantArrayObjectivATI :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glIsObjectBufferATI :: MonadIO m => GLuint -> m GLboolean
- glNewObjectBufferATI :: MonadIO m => GLsizei -> Ptr a -> GLenum -> m GLuint
- glUpdateObjectBufferATI :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr a -> GLenum -> m ()
- glVariantArrayObjectATI :: MonadIO m => GLuint -> GLenum -> GLsizei -> GLuint -> GLuint -> m ()

# Extension Support

glGetATIVertexArrayObject :: MonadIO m => m Bool

Is the ATI_vertex_array_object extension supported?

gl_ATI_vertex_array_object :: Bool

Is the ATI_vertex_array_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetATIVertexArrayObject` in those cases instead.

# Enums

gl_ARRAY_OBJECT_BUFFER_ATI :: GLenum

gl_ARRAY_OBJECT_OFFSET_ATI :: GLenum

gl_DISCARD_ATI :: GLenum

gl_DYNAMIC_ATI :: GLenum

gl_OBJECT_BUFFER_SIZE_ATI :: GLenum

gl_OBJECT_BUFFER_USAGE_ATI :: GLenum

gl_PRESERVE_ATI :: GLenum

gl_STATIC_ATI :: GLenum

# Functions

glArrayObjectATI

Arguments

:: MonadIO m |
=> GLenum | `array` of type EnableCap.
-> GLint | `size`.
-> GLenum | `type` of type `ScalarType`.
-> GLsizei | `stride`.
-> GLuint | `buffer`.
-> GLuint | `offset`.
-> m () |

glFreeObjectBufferATI

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> m () |

glGetArrayObjectfvATI

Arguments

:: MonadIO m |
=> GLenum | `array` of type EnableCap.
-> GLenum | `pname` of type `ArrayObjectPNameATI`.
-> Ptr GLfloat | `params` pointing to `1` element of type `GLfloat`.
-> m () |

glGetArrayObjectivATI

Arguments

:: MonadIO m |
=> GLenum | `array` of type EnableCap.
-> GLenum | `pname` of type `ArrayObjectPNameATI`.
-> Ptr GLint | `params` pointing to `1` element of type `GLint`.
-> m () |

glGetObjectBufferfvATI

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `pname` of type `ArrayObjectPNameATI`.
-> Ptr GLfloat | `params` pointing to `1` element of type `GLfloat`.
-> m () |

glGetObjectBufferivATI

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `pname` of type `ArrayObjectPNameATI`.
-> Ptr GLint | `params` pointing to `1` element of type `GLint`.
-> m () |

glGetVariantArrayObjectfvATI

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type `ArrayObjectPNameATI`.
-> Ptr GLfloat | `params` pointing to `1` element of type `GLfloat`.
-> m () |

glGetVariantArrayObjectivATI

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type `ArrayObjectPNameATI`.
-> Ptr GLint | `params` pointing to `1` element of type `GLint`.
-> m () |

glIsObjectBufferATI

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> m GLboolean | of type Boolean.

glNewObjectBufferATI

Arguments

:: MonadIO m |
=> GLsizei | `size`.
-> Ptr a | `pointer` pointing to `size` elements of type `a`.
-> GLenum | `usage` of type `ArrayObjectUsageATI`.
-> m GLuint |

glUpdateObjectBufferATI

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLuint | `offset`.
-> GLsizei | `size`.
-> Ptr a | `pointer` pointing to `size` elements of type `a`.
-> GLenum | `preserve` of type `PreserveModeATI`.
-> m () |

glVariantArrayObjectATI

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `type` of type `ScalarType`.
-> GLsizei | `stride`.
-> GLuint | `buffer`.
-> GLuint | `offset`.
-> m () |